Finish Login
curl --request POST \
--url https://passkeys.hanko.io/{tenant_id}/login/finalize \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"type": "public-key",
"rawId": "<string>",
"response": {
"clientDataJSON": "<string>",
"authenticatorData": "<string>",
"signature": "<string>",
"userHandle": "<unknown>"
},
"clientExtensionResults": {
"appid": true,
"appidExclude": true,
"credProps": {
"rk": true
}
}
}
'import requests
url = "https://passkeys.hanko.io/{tenant_id}/login/finalize"
payload = {
"id": "<string>",
"type": "public-key",
"rawId": "<string>",
"response": {
"clientDataJSON": "<string>",
"authenticatorData": "<string>",
"signature": "<string>",
"userHandle": "<unknown>"
},
"clientExtensionResults": {
"appid": True,
"appidExclude": True,
"credProps": { "rk": True }
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
type: 'public-key',
rawId: '<string>',
response: {
clientDataJSON: '<string>',
authenticatorData: '<string>',
signature: '<string>',
userHandle: '<unknown>'
},
clientExtensionResults: {appid: true, appidExclude: true, credProps: {rk: true}}
})
};
fetch('https://passkeys.hanko.io/{tenant_id}/login/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>"
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}Login
Finish Login
Finalize the login operation
POST
/
{tenant_id}
/
login
/
finalize
Finish Login
Path Parameters
UUID of the tenant
Required string length:
36Example:
["1f496bcd-49da-4839-a02f-7ce681ccb488"]
Body
application/json
Available options:
public-key Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
cross-platform, platform, null Response
Example response
Was this page helpful?
⌘I